export function includesFilter(path, extensions) {
    return new Promise(function (resolve) {
        for (var _i = 0, extensions_1 = extensions; _i < extensions_1.length; _i++) {
            var extension = extensions_1[_i];
            if (path.includes(extension)) {
                resolve(true);
            }
        }
        resolve(false);
    });
}
export default includesFilter;
//# sourceMappingURL=includes-filter.js.map