import fontExtensions from '../extensions/font-extensions';
import includesFilter from '../filters/includes-filter';
import emptyIgnore from '../ignores/empty-ignore';
import emptySort from '../sorts/empty-sort';
export var fontSearch = {
    type: 'font',
    depth: 'all',
    limit: 1,
    extensions: fontExtensions,
    sort: emptySort,
    ignore: emptyIgnore,
    filter: includesFilter
};
export default fontSearch;
//# sourceMappingURL=font-search.js.map