import ConfigIgnore from "../interfaces/config-ignore";
import ConfigSort from "../interfaces/config-sort";
import SearchLevel from "../interfaces/search-level";
import TypePath from "../interfaces/type-path";
export declare class LevelStorage {
    private storage;
    private history;
    private ignorer;
    private sorter;
    constructor(path: TypePath, sort: ConfigSort, ignore: ConfigIgnore);
    put(searches: SearchLevel[]): void;
    get(): SearchLevel;
    get empty(): boolean;
}
export default LevelStorage;
