"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Loader = void 0;
var Loader = /** @class */ (function () {
    function Loader() {
        this.loaders = ['-', '/', '|', '\\'];
        this.index = 0;
    }
    Loader.prototype.next = function () {
        if (this.index >= this.loaders.length) {
            this.index = 0;
        }
        return this.loaders[this.index++];
    };
    return Loader;
}());
exports.Loader = Loader;
exports.default = Loader;
