"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolveAllPaths = void 0;
var resolve_path_1 = __importDefault(require("./resolve-path"));
function resolveAllPaths(basePath, relativePaths) {
    var resolvedPaths = [];
    for (var _i = 0, relativePaths_1 = relativePaths; _i < relativePaths_1.length; _i++) {
        var relativePath = relativePaths_1[_i];
        var resolvedPath = resolve_path_1.default(basePath, relativePath);
        if (resolvedPath) {
            resolvedPaths.push(resolvedPath);
        }
    }
    return resolvedPaths;
}
exports.resolveAllPaths = resolveAllPaths;
exports.default = resolveAllPaths;
