"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.resolvePath = void 0;
function resolvePath(basePath, relativePath) {
    try {
        var url = new URL(relativePath, basePath);
        var path = url.href;
        return path;
    }
    catch (error) {
        return undefined;
    }
}
exports.resolvePath = resolvePath;
exports.default = resolvePath;
