"use strict";
var __spreadArrays = (this && this.__spreadArrays) || function () {
    for (var s = 0, i = 0, il = arguments.length; i < il; i++) s += arguments[i].length;
    for (var r = Array(s), k = 0, i = 0; i < il; i++)
        for (var a = arguments[i], j = 0, jl = a.length; j < jl; j++, k++)
            r[k] = a[j];
    return r;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.streamIgnore = void 0;
var min_extensions_1 = __importDefault(require("../extensions/min-extensions"));
var flash_extensions_1 = __importDefault(require("../extensions/flash-extensions"));
var xml_extensions_1 = __importDefault(require("../extensions/xml-extensions"));
var img_extensions_1 = __importDefault(require("../extensions/img-extensions"));
var css_extensions_1 = __importDefault(require("../extensions/css-extensions"));
var php_extensions_1 = __importDefault(require("../extensions/php-extensions"));
var font_extensions_1 = __importDefault(require("../extensions/font-extensions"));
var common_domains_1 = __importDefault(require("../fragments/common-domains"));
var common_social_1 = __importDefault(require("../fragments/common-social"));
var common_blogs_1 = __importDefault(require("../fragments/common-blogs"));
var common_codes_1 = __importDefault(require("../fragments/common-codes"));
var common_words_1 = __importDefault(require("../fragments/common-words"));
exports.streamIgnore = {
    extensions: __spreadArrays(min_extensions_1.default, flash_extensions_1.default, xml_extensions_1.default, img_extensions_1.default, css_extensions_1.default, php_extensions_1.default, font_extensions_1.default),
    keys: __spreadArrays(common_domains_1.default, common_social_1.default, common_blogs_1.default, common_codes_1.default, common_words_1.default),
};
exports.default = exports.streamIgnore;
