"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.includesRule = void 0;
function includesRule(data) {
    var extensions = data.extensions;
    var path = data.searchPath;
    return new Promise(function (resolve) {
        for (var _i = 0, extensions_1 = extensions; _i < extensions_1.length; _i++) {
            var extension = extensions_1[_i];
            if (path.includes(extension)) {
                resolve(true);
            }
        }
        resolve(false);
    });
}
exports.includesRule = includesRule;
exports.default = includesRule;
