"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.notSameRule = void 0;
function notSameRule(data) {
    var searchPath = data.searchPath;
    var basePath = data.basePath;
    return new Promise(function (resolve) {
        var includePath = searchPath.includes(basePath);
        var samePath = searchPath === basePath;
        if (samePath || includePath) {
            resolve(false);
        }
        else {
            resolve(true);
        }
    });
}
exports.notSameRule = notSameRule;
exports.default = notSameRule;
