"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.streamSearch = void 0;
var stream_extensions_1 = __importDefault(require("../extensions/stream-extensions"));
var stream_ignore_1 = __importDefault(require("../ignores/stream-ignore"));
var stream_sort_1 = __importDefault(require("../sorts/stream-sort"));
var stream_rule_1 = __importDefault(require("../rules/stream-rule"));
exports.streamSearch = {
    type: "stream",
    depth: 'first',
    limit: 3,
    extensions: stream_extensions_1.default,
    sort: stream_sort_1.default,
    ignore: stream_ignore_1.default,
    rules: [
        stream_rule_1.default,
    ]
};
exports.default = exports.streamSearch;
