export function endingFilter(path, extensions) {
    return new Promise(function (resolve) {
        var extensionsString = "(" + extensions.join('|') + ")";
        var extensionsRegex = new RegExp("\." + extensionsString + "$");
        var extensionsCheck = extensionsRegex.test(path);
        resolve(extensionsCheck);
    });
}
export default endingFilter;
//# sourceMappingURL=ending-filter.js.map