import resolvePath from "./resolve-path";
export function resolveAllPaths(basePath, relativePaths) {
    var resolvedPaths = [];
    for (var _i = 0, relativePaths_1 = relativePaths; _i < relativePaths_1.length; _i++) {
        var relativePath = relativePaths_1[_i];
        var resolvedPath = resolvePath(basePath, relativePath);
        if (resolvedPath) {
            resolvedPaths.push(resolvedPath);
        }
    }
    return resolvedPaths;
}
export default resolveAllPaths;
//# sourceMappingURL=resolve-all-paths.js.map