import cssExtensions from '../extensions/css-extensions';
import endingFilter from '../filters/ending-filter';
import emptyIgnore from '../ignores/empty-ignore';
import emptySort from '../sorts/empty-sort';
export var cssSearch = {
    type: 'css',
    depth: 'all',
    limit: 1,
    extensions: cssExtensions,
    sort: emptySort,
    ignore: emptyIgnore,
    filter: endingFilter
};
export default cssSearch;
//# sourceMappingURL=css-search.js.map