import endingFilter from '../filters/ending-filter';
import emptyIgnore from '../ignores/empty-ignore';
import emptySort from '../sorts/empty-sort';
import imgExtensions from '../extensions/img-extensions';
export var imgSearch = {
    type: 'img',
    depth: 'all',
    limit: 1,
    extensions: imgExtensions,
    sort: emptySort,
    ignore: emptyIgnore,
    filter: endingFilter
};
export default imgSearch;
//# sourceMappingURL=img-search.js.map