import ConfigExtensions from '../interfaces/config-extensions';
import ConfigIgnore from '../interfaces/config-ignore';
import SearchConfig from '../interfaces/search-config';
import SearchDepth from '../interfaces/search-depth';
import TypeSearch from '../interfaces/type-search';
import ConfigSort from '../interfaces/config-sort';
import TypeLevel from '../interfaces/type-level';
import ConfigRule from '../interfaces/config-rule';
export declare class Dictionary {
    readonly type: TypeSearch;
    readonly searches: {
        [attr: string]: SearchConfig;
    };
    constructor(type: TypeSearch);
    get config(): SearchConfig;
    get depth(): SearchDepth;
    get limit(): TypeLevel;
    get extensions(): ConfigExtensions;
    get sort(): ConfigSort;
    get ignore(): ConfigIgnore;
    get rules(): ConfigRule[];
}
export default Dictionary;
