"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.endingRule = void 0;
function endingRule(data) {
    var extensions = data.extensions;
    var path = data.searchPath;
    return new Promise(function (resolve) {
        var extensionsString = "(" + extensions.join('|') + ")";
        var extensionsRegex = new RegExp("\." + extensionsString + "$");
        var extensionsCheck = extensionsRegex.test(path);
        resolve(extensionsCheck);
    });
}
exports.endingRule = endingRule;
exports.default = endingRule;
