"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.audioSearch = void 0;
var audio_extensions_1 = __importDefault(require("../extensions/audio-extensions"));
var empty_ignore_1 = __importDefault(require("../ignores/empty-ignore"));
var empty_sort_1 = __importDefault(require("../sorts/empty-sort"));
var ending_rule_1 = __importDefault(require("../rules/ending-rule"));
var not_same_rule_1 = __importDefault(require("../rules/not-same-rule"));
exports.audioSearch = {
    type: 'audio',
    depth: 'all',
    limit: 1,
    extensions: audio_extensions_1.default,
    sort: empty_sort_1.default,
    ignore: empty_ignore_1.default,
    rules: [
        ending_rule_1.default,
        not_same_rule_1.default,
    ]
};
exports.default = exports.audioSearch;
